GET api/cabreaderapi/cabreader/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
CabReaderViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
Required String length: inclusive between 0 and 100 |
|
| cab_reader_type_id | globally unique identifier |
Required |
|
| port_com | integer |
None. |
|
| baudrate | integer |
None. |
|
| handshake | integer |
Required |
|
| read_time_out | integer |
None. |
|
| write_time_out | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| site_id | globally unique identifier |
Required |
|
| parity | integer |
Required |
|
| data_bits | integer |
Required |
|
| stop_bits | integer |
Required |
Response Formats
application/json, text/json
Sample:
{
"id": "d342c84f-db6d-4429-b24f-0a1447717978",
"name": "sample string 2",
"cab_reader_type_id": "9f38e7d2-6434-4c92-8204-d9f8ec3a125e",
"port_com": 1,
"baudrate": 1,
"handshake": 4,
"read_time_out": 1,
"write_time_out": 1,
"pc_id": "1d6c0a97-f731-4d2d-bb01-6808a6acc25c",
"active": true,
"site_id": "d2e47b31-1264-40aa-a853-d0a8e595a822",
"parity": 7,
"data_bits": 8,
"stop_bits": 9
}
application/xml, text/xml
Sample:
<cab_reader xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <baudrate>1</baudrate> <cab_reader_type_id>9f38e7d2-6434-4c92-8204-d9f8ec3a125e</cab_reader_type_id> <data_bits>8</data_bits> <handshake>4</handshake> <id>d342c84f-db6d-4429-b24f-0a1447717978</id> <name>sample string 2</name> <parity>7</parity> <pc_id>1d6c0a97-f731-4d2d-bb01-6808a6acc25c</pc_id> <port_com>1</port_com> <read_time_out>1</read_time_out> <site_id>d2e47b31-1264-40aa-a853-d0a8e595a822</site_id> <stop_bits>9</stop_bits> <write_time_out>1</write_time_out> </cab_reader>